from gpiozero import Buzzer, LED
from time import sleep
from AWSIoTPythonSDK.MQTTLib import AWSIoTMQTTClient
import json

host = ""
rootCAPath = ""
certificatePath = ""
privateKeyPath = ""

my_rpi = AWSIoTMQTTClient("laboratory2alarm")
my_rpi.configureEndpoint(host, 8883)
my_rpi.configureCredentials(rootCAPath, privateKeyPath, certificatePath)

my_rpi.configureOfflinePublishQueueing(-1)  # Infinite offline Publish queueing
my_rpi.configureDrainingFrequency(2)  # Draining: 2 Hz
my_rpi.configureConnectDisconnectTimeout(60)  # 10 sec
my_rpi.configureMQTTOperationTimeout(10)  # 5 sec

my_rpi.connect()

def customCallback(client, userdata, message):
    message.payload
    print("Received a new message for alarm: ")
    print(message.payload)
    print(type(json))
    jsonresponse = json.loads(message.payload)
    if jsonresponse["room"] == "2":
        timer = 5
        led = LED(21)
        bz = Buzzer(5)
        bz.on()
        led.blink()
        sleep(timer)
        bz.off()
        led.off()
    if jsonresponse["room"] == "3":
        timer = 5
        led = LED(21)
        bz = Buzzer(5)
        bz.on()
        led.blink()
        sleep(timer)
        bz.off()
        led.off()
def alarm():
    while True:
        my_rpi.subscribe("lab/alarm", 0, customCallback)

alarm()
